> For the complete documentation index, see [llms.txt](https://docs.ionos.com/mongodb-sdk-python/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/mongodb-sdk-python/api/metadataapi.md).

# MetadataApi

## MetadataApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                                          | HTTP request            | Description          |
| ----------------------------------------------- | ----------------------- | -------------------- |
| [**infos\_version\_get**](#infos_version_get)   | **GET** /infos/version  | Get API Version      |
| [**infos\_versions\_get**](#infos_versions_get) | **GET** /infos/versions | Get All API Versions |

## **infos\_version\_get**

> APIVersion infos\_version\_get()

Get API Version

Retrieves the current version of the responding API.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_dbaas_mongo
from ionoscloud_dbaas_mongo.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/databases/mongodb
configuration = ionoscloud_dbaas_mongo.Configuration(
    host = 'https://api.ionos.com/databases/mongodb',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_dbaas_mongo.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_dbaas_mongo.MetadataApi(api_client)
    try:
        # Get API Version
        api_response = api_instance.infos_version_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling MetadataApi.infos_version_get: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**APIVersion**](/mongodb-sdk-python/models/apiversion.md)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **infos\_versions\_get**

> list\[APIVersion] infos\_versions\_get()

Get All API Versions

Retrieves all available versions of the responding API.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_dbaas_mongo
from ionoscloud_dbaas_mongo.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/databases/mongodb
configuration = ionoscloud_dbaas_mongo.Configuration(
    host = 'https://api.ionos.com/databases/mongodb',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_dbaas_mongo.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_dbaas_mongo.MetadataApi(api_client)
    try:
        # Get All API Versions
        api_response = api_instance.infos_versions_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling MetadataApi.infos_versions_get: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**list\[APIVersion\]**](/mongodb-sdk-python/models/apiversion.md)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-python/api/metadataapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
